#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%define		pdir	XML
%define		pnam	NamespaceSupport
Summary:	XML::NamespaceSupport perl module
Summary(pl.UTF-8):	Moduł perla XML::NamespaceSupport
Name:		perl-XML-NamespaceSupport
Version:	1.12
Release:	1%{?tld}
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a8916c6d095bcf073e1108af02e78c97
URL:		https://metacpan.org/release/XML-NamespaceSupport
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Perl module offers a simple to process namespaced XML names
(unames) from within any application that may need them. It also helps
maintain a prefix to namespace URI map, and provides a number of basic
checks.

%description -l pl.UTF-8
Ten moduł Perla oferuje proste do przetworzenia, uwzględniające
przestrzenie nazw, nazwy XML, dostępne z każdej aplikacji, która ich
potrzebuje. Pomaga także prowadzić mapowanie prefiksów na przestrzenie
nazw i udostępnia wiele możliwości podstawowej kontroli poprawności.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/XML/NamespaceSupport.pm
%{_mandir}/man3/XML::NamespaceSupport.3pm*
%changelog
* Mon Apr 01 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-XML-NamespaceSupport.git;a=log;h=master

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 7113765
- macros for perl autodeps

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> c62ab7a
- drop obsolete and outdated manual inclusion of rpm macros

* Sat Dec 23 2017 Jakub Bogusz <qboosh@pld-linux.org> 03b39a9
- updated to 1.12

* Wed Dec 08 2010 Jakub Bogusz <qboosh@pld-linux.org> d1488ec
- updated to 1.11

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> fcf9d65
- updated to 1.10

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a69534d
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 05e4c9c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 073b6b0
- converted to UTF-8

* Mon Oct 09 2006 Jakub Bogusz <qboosh@pld-linux.org> f01706f
- added URL

* Tue May 31 2005 petec <petec@pld-linux.org> a373741
- up to 1.09

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 1bc0f30
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> f544b8e
- massive: unfold macros in name/summary & other unifications

* Fri May 07 2004 ankry <ankry@pld-linux.org> 6f85b84
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 1682c73
- fixed perl-devel BR

* Wed May 05 2004 ankry <ankry@pld-linux.org> b9cdb1b
- added tests, license fix, cosmetics

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 29ddd2a
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 345cd25
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 307afbf
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> f81e852
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 5bf1779
- BR: perl-devel; do not BR: perl

